package com.fs.company.domain;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;
import java.util.stream.Collectors;

public class CompanyMenuTreeSelect {
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<CompanyMenuTreeSelect> children;

    public CompanyMenuTreeSelect()
    {

    }
    public CompanyMenuTreeSelect(CompanyMenu menu) {
        this.id = menu.getMenuId();
        this.label = menu.getMenuName();
        this.children = menu.getChildren().stream().map(CompanyMenuTreeSelect::new).collect(Collectors.toList());


    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<CompanyMenuTreeSelect> getChildren() {
        return children;
    }

    public void setChildren(List<CompanyMenuTreeSelect> children) {
        this.children = children;
    }
}
